Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 474542 - dev-util/systemtap-1.6 - translate.cxx:5572:78: error: narrowing conversion of '-1' from 'int' to 'long unsigned int' inside { } is ill-formed in C++11 [-Werror=narrowing]
Summary: dev-util/systemtap-1.6 - translate.cxx:5572:78: error: narrowing conversion o...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Sven Wegener
URL:
Whiteboard:
Keywords:
Depends on: 500728
Blocks:
  Show dependency tree
 
Reported: 2013-06-23 23:14 UTC by M. B.
Modified: 2014-09-16 06:19 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,15.83 KB, text/plain)
2013-06-23 23:16 UTC, M. B.
Details
build.log (build.log,19.39 KB, text/plain)
2014-02-14 20:18 UTC, Martin Mokrejš
Details

Note You need to log in before you can comment on or make changes to this bug.
Description M. B. 2013-06-23 23:14:45 UTC
this is the second open compile bug with systemtap. please look into it. (bug #473716)

Reproducible: Always




emerge --info
Portage 2.1.12.2 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.15-r3, 3.8.13-gentoo x86_64)
=================================================================
System uname: Linux-3.8.13-gentoo-x86_64-AMD_A8-4500M_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.2
KiB Mem:     3395000 total,    689724 free
KiB Swap:    8388604 total,   7516428 free
Timestamp of tree: Sun, 23 Jun 2013 01:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.7.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo science bitcoin qt gentoo-haskell java mine tbc
Installed sets: @myset-claws, @myset-fonts, @myset-octave, @myset-pidgin, @myset-snort, @myset-xmonad
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=bdver1 -O2 -mfma -mtbm --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=bdver1 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=bdver1 -O2 -mfma -mtbm --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=bdver1 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=6 --load-average=5 --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch webrsync-gpg"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://mirror.netcologne.de/gentoo/ http://gentoo.supp.name/ http://ftp.fi.muni.cz/pub/linux/gentoo/ http://gentoo.mirror.dkm.cz/pub/gentoo/"
LANG="de"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5 --load-average=5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--delete-after"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/science /usr/portage/local/layman/bitcoin /usr/portage/local/layman/qt /usr/portage/local/layman/haskell /usr/portage/local/layman/java /usr/portage/local/mine /usr/portage/local/layman/tbc"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="256-color 3dnow 3dnowext 64bit X a52 aac aacplus aalib accessibility acl acpi alsa amd64 amr aotuv apng archive assistant autotrace avx bash-completion berkdb blink blksha1 bluetooth bluray boost branding bzip2 c++0x cairo calendar caps cblas-external cdda cddax cdr cg chappa clamdtop cleartype cli color consolekit corefonts cracklib crypt css cups curl cxx dbus dcc_video dcc_voice declarative device-mapper dga dhcpcd dia dillo dirac disk-partition djvu dlz dri dts dvd dvdr dynamicplugin egl emboss enca encode examples exif faac fam fat fbcon ffmpeg fftw findbugs firefox flac fluidsynth focused-urgency font-styles fontconfig foomaticdb fortran fpx frei0r ftp fuse g3dvl gajim gallium gbm gd gdata gdbm geoip ggi gif gimp git gles gles1 gles2 glitz gmail gmp gnuplot gnutls go gost gpg gphoto2 gpm graphite graphviz gre gs gstreamer gtk gtk2 gudev gui hddtemp hdri help helpers highlight hoogle hpn hwdb hyperestraier iconv icu id3tag idn imap inkjar inotify introspection iostats ipv6 iso14755 jabber jadetex java java6 javascript jbig jingle jpeg jpeg2k keymap kpathsea ladspa laptop latex lcms ldap libass libcaca libcanberra libindicate libkms libnotify libv4l libv4l2 live lm_sensors lock lyrics lzma lzo mad manual matroska mercurial midi mime minizip mjpeg mmap mmx mmxext mng modules mousewheel mp2 mp3 mp4 mpeg mplayer msn mudflap multilib music mysql ncat ncurses ndiff network nls nmap-update nntp nodrm notification nping nptl nsplugin ntfs ntp nut ocr octave offensive offlinehelp ogg okteta openexr opengl openmp openssl openvg optimization otr pam pango passfile pcre pcre16 pdf pdfimport perl pgp php png policykit pop postscript ppds prediction profile python qt3support qt4 qthelp quicktime rar raw readline reencrypt reiser4 reiserfs rpc rss rtc rtmp samba sasl savedconfig schroedinger script scripts sdl secure-delete session sidebar silc skins skype smime smp smtp sound speex spell sql sqlite sse sse2 sse3 sse4 sse41 sse4_1 sse4a ssh ssl ssse3 startup-notification stk strong-optimization subtitles subversion svg symlink system-boost system-cxx-headers system-ffmpeg system-jpeg system-sqlite t1lib tables tcpd templates theora threads thunar tidy tiff timezone tor tor-hardening transparent-proxy trayicon truetype twolame udev udisks unicode unlock-notify upnp upower urandom usb v4l v4l2 vaapi vcd video videos vim-pager vim-syntax vim-with-x vorbis vpx vst wcwidth weather-metar weather-xoap webgl webkit webp wifi winpopup wma wmf wps wxwidgets x264 xanim xcb xcomposite xfce xfs xft xhtml xinerama xkb xml xorg xosd xpfast xpm xpsmall xscreensaver xv xvfb xvid xvmc yahoo zip zlib" ABI_X86="64" ALSA_CARDS="ca0106" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en fr ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 1 M. B. 2013-06-23 23:16:06 UTC
Created attachment 351774 [details]
build.log
Comment 2 M. B. 2013-06-23 23:31:33 UTC
addendum: 2.2 builds without problems.
Comment 3 Paul Klos 2014-02-11 21:08:22 UTC
Same here with systemtap 1.6
Comment 4 Martin Mokrejš 2014-02-14 20:18:01 UTC
Created attachment 370426 [details]
build.log

Same here.


Portage 2.2.7 (default/linux/amd64/13.0, gcc-4.8.2, glibc-2.17, 3.2.53 x86_64)
=================================================================
System uname: Linux-3.2.53-x86_64-Intel-R-_Xeon-R-_CPU_X5680_@_3.33GHz-with-gentoo-2.2
KiB Mem:   148616228 total, 134061836 free
KiB Swap:  805314316 total, 805314316 free
Timestamp of tree: Thu, 13 Feb 2014 23:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5-r3, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.1-r1, 1.13.4
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.1.2, 4.2.4-r1, 4.3.6-r1, 4.4.7, 4.5.4, 4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo science x-portage x-layman
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm PUEL Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fno-strict-aliasing -mmmx -msse -msse2 -mssse3 -msse4.1 -msse4.2 -msse4 -maes -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -fno-strict-aliasing -mmmx -msse -msse2 -mssse3 -msse4.1 -msse4.2 -msse4 -maes -march=native -mtune=native"
DISTDIR="/scratch/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news nostrip parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j23"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/scratch/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /scratch/usr/local/portage /var/lib/layman"
USE="X amd64 apache2 apng berkdb bzip2 cgi cli cracklib crypt cups cxx dbus dlz expat fontconfig fortran gd gdbm gnutls hal iconv innodb introspection java jce jpeg jpg laptop mmx modules mpi mpich2 multilib mysql ncurses nfs nls nptl nptlonly nsplugin opengl openmp openssl pam pcre perl png python qt3support qt4 readline server session sse sse2 ssl static-libs suexec svg syslog tcpd threads tiff truetype udev unicode usb xml zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dbd deflate dir disk_cache env expires ext_filter file_cache filter headers icu ident imagemap include info log_config mem_cache mime mime_magic rewrite setenvif speling status unique_id userdir usertrack vhost_alias negotiation" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en cs cz" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="vesa matrox" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 5 Andreas K. Hüttel gentoo-dev 2014-03-04 00:14:57 UTC
fixed in systemtap-2.4 (stable now)